# Class TransactionEntry

java.lang.Object
org.apache.zookeeper.graph.LogEntry
org.apache.zookeeper.graph.TransactionEntry

All Implemented Interfaces:
  `Serializable`

public class TransactionEntry extends LogEntry

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class LogEntry

`LogEntry.Type`

## Constructor Summary

Constructors
Constructor
Description
`TransactionEntry(long timestamp, long clientId, long Cxid, long Zxid, String op)`
`TransactionEntry(long timestamp, long clientId, long Cxid, long Zxid, String op, String extra)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getClientId()`
`long`
`getCxid()`
`String`
`getExtra()`
`String`
`getOp()`
`LogEntry.Type`
`getType()`
`long`
`getZxid()`
`String`
`toString()`

### Methods inherited from class LogEntry

`getAttribute, getTimestamp, setAttribute`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransactionEntry

public TransactionEntry(long timestamp, long clientId, long Cxid, long Zxid, String op)

### TransactionEntry

public TransactionEntry(long timestamp, long clientId, long Cxid, long Zxid, String op, String extra)

## Method Details

### getClientId

public long getClientId()

### getCxid

public long getCxid()

### getZxid

public long getZxid()

### getOp

public String getOp()

### getExtra

public String getExtra()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public LogEntry.Type getType()

Specified by:
  `getType` in class `LogEntry`